import 'package:quickblox_sdk/models/qb_session.dart';

/**
 * Created by Injoit on 2019-12-27.
 * Copyright © 2019 Quickblox. All rights reserved.
 */
class QBSessionMapper {
  static QBSession mapToQBSession(Map<String, Object> map) {
    if (map == null || map.length <= 0) {
      return null;
    }

    QBSession qbSession = new QBSession();

    if (map.containsKey("token")) {
      qbSession.token = map["token"];
    }

    if (map.containsKey("expirationDate")) {
      qbSession.expirationDate = map["expirationDate"];
    }

    if (map.containsKey("userId")) {
      qbSession.userId = map["userId"];
    }

    if (map.containsKey("applicationId")) {
      qbSession.applicationId = map["applicationId"];
    }

    return qbSession;
  }

  static Map<String, Object> qbSessionToMap(QBSession session) {
    Map<String, Object> map = new Map();

    if (session == null) {
      return map;
    }

    if (session.token != null && session.token.isNotEmpty) {
      map["token"] = session.token;
    }

    if (session.expirationDate != null && session.expirationDate.isNotEmpty) {
      map["expirationDate"] = session.expirationDate;
    }

    if (session.userId != null && session.userId > 0) {
      map["userId"] = session.userId;
    }

    if (session.applicationId != null && session.applicationId > 0) {
      map["applicationId"] = session.applicationId;
    }

    return map;
  }
}
